Lighthouse versions supported in OnPage API

 
OnPage Lighthouse API is based on Google’s open-source Lighthouse project and provides data on the quality of web pages.

This endpoint will provide you with a list of versions available for Lighthouse API. You can obtain the results specific to a certain Lighthouse version by specifying its number in the Task POST request.

OnPage Lighthouse API is based on an open-source Lighthouse project. You can find the official documentation here.

Pricing

Your account will not be charged for using this API

checked GET

Description of the fields in the results array:

Field nameTypeDescription
versionstring

the current version of the API

status_codeinteger

general status code
you can find the full list of the response codes here
Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_messagestring

general informational message
you can find the full list of general informational messages here

timestring

execution time, seconds

costfloat

total tasks cost, USD

tasks_countinteger

the number of tasks in the tasks array

tasks_errorinteger

the number of tasks in the tasks array returned with an error

tasksarray

array of tasks

    idstring

task identifier
unique task identifier in our system in the UUID format

    status_codeinteger

status code of the task
generated by DataForSEO; can be within the following range: 10000-60000
you can find the full list of the response codes here

    status_messagestring

informational message of the task
you can find the full list of general informational messages here

    timestring

execution time, seconds

    costfloat

cost of the task, USD

    result_countinteger

number of elements in the result array

    patharray

URL path

    dataobject

contains the same parameters that you specified in the POST request

    resultarray

array of results

        available_versionsarray

the list of supported lighthouse versions
an array contains objects with the version number and a boolean indicating whether the version is used by default
Note: you can specify the version in the POST request to the OnPage Lighthouse API

            versionstring

lighthouse version

            defaultboolean

the version is used by default
if false, the version is not used by default and should be specified in the corresponding field of the POST request if necessary


‌‌

Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request GET "https://api.dataforseo.com/v3/on_page/lighthouse/versions" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json"
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
try {
	// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
	$client = new RestClient($api_url, null, 'login', 'password');
} catch (RestClientException $e) {
	echo "n";
	print "HTTP code: {$e->getHttpCode()}n";
	print "Error code: {$e->getCode()}n";
	print "Message: {$e->getMessage()}n";
	print  $e->getTraceAsString();
	echo "n";
	exit();
}
try {
	// using this method you can get a list of available versions
	// GET /v3/on_page/lighthouse/versions
	$result = $client->get('/v3/on_page/lighthouse/versions');
	print_r($result);
	// do something with result
} catch (RestClientException $e) {
	echo "n";
	print "HTTP code: {$e->getHttpCode()}n";
	print "Error code: {$e->getCode()}n";
	print "Message: {$e->getMessage()}n";
	print  $e->getTraceAsString();
	echo "n";
}
$client = null;
?>
const axios = require('axios');

axios({
    method: 'get',
    url: 'https://api.dataforseo.com/v3/on_page/lighthouse/versions',
    auth: {
        username: 'login',
        password: 'password'
    },
    data: [{
        country: "us"
    }],
    headers: {
        'content-type': 'application/json'
    }
}).then(function (response) {
    var result = response['data']['tasks'][0]['result'];
    // Result data
    console.log(result);
}).catch(function (error) {
    console.log(error);
});
from random import Random
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip

client = RestClient("login", "password")
# using this method you can get a list of available versions
# GET /v3/on_page/lighthouse/versions
response = client.get("/v3/on_page/lighthouse/versions")
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
    print(response)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
using Newtonsoft.Json;
using System;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task serp_locations()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            // using this method you can get a list of available versions
            var response = await httpClient.GetAsync("/v3/on_page/lighthouse/versions");
            var result = JsonConvert.DeserializeObject(await response.Content.ReadAsStringAsync());
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (result.status_code == 20000)
            {
                // do something with result
                Console.WriteLine(result);
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}

The list of available versions:

{
    "version": "0.1.20210917",
    "status_code": 20000,
    "status_message": "Ok.",
    "time": "0.2232 sec.",
    "cost": 0,
    "tasks_count": 1,
    "tasks_error": 0,
    "tasks": [
        {
            "id": "09241434-1535-0344-0000-1cc5627995b6",
            "status_code": 20000,
            "status_message": "Ok.",
            "time": "0.0125 sec.",
            "cost": 0,
            "result_count": 1,
            "path": [
                "v3",
                "on_page",
                "lighthouse",
                "versions"
            ],
            "data": {
                "api": "on_page",
                "function": "lighthouse"
            },
            "result": [
                {
                    "availible_versions": [
                        {
                            "version": "8.4.0",
                            "default": true
                        },
                        {
                            "version": "8.3.0",
                            "default": false
                        },
                        {
                            "version": "8.2.0",
                            "default": false
                        },
                        {
                            "version": "8.1.0",
                            "default": false
                        },
                        {
                            "version": "8.0.0",
                            "default": false
                        },
                        {
                            "version": "7.5.0",
                            "default": false
                        },
                        {
                            "version": "7.4.0",
                            "default": false
                        },
                        {
                            "version": "7.3.0",
                            "default": false
                        },
                        {
                            "version": "7.2.0",
                            "default": false
                        },
                        {
                            "version": "7.1.0",
                            "default": false
                        }
                    ]
                }
            ]
        }
    ]
}